package ec.app.regression.testcases;

public class PolynomialDivisionFactory extends FunctionFactory {

	@Override
	protected int arity() {
		return 1;
	}

	@Override
	protected double function(final Double... x) {
		return 4.0 * (x[0] * x[0] * x[0] * x[0] * x[0] - x[0] * x[0] * x[0]) / (x[0] * x[0] * x[0] * x[0] + 1);
	}

	@Override
	public String getSymbolicRepresentation() {
		return "4.0 * (x0 * x0 * x0 * x0 * x0 - x0 * x0 * x0) / (x0 * x0 * x0 * x0 + 1)";
	}
}
